## org.eclipse.emf.compare.diff.metamodel
Interface DiffPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DiffPackageImpl

    public interface DiffPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `DiffFactory`

Nested Class Summary
`static interface` `DiffPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `ABSTRACT_DIFF_EXTENSION` The meta object id for the '`Abstract Diff Extension`' class
`static int` `ABSTRACT_DIFF_EXTENSION__HIDE_ELEMENTS` The feature id for the 'Hide Elements' reference list
`static int` `ABSTRACT_DIFF_EXTENSION__IS_COLLAPSED` The feature id for the 'Is Collapsed' attribute
`static int` `ABSTRACT_DIFF_EXTENSION_FEATURE_COUNT` The number of structural features of the 'Abstract Diff Extension' class.
`static int` `ATTRIBUTE_CHANGE` The meta object id for the '`Attribute Change`' class
`static int` `ATTRIBUTE_CHANGE__ATTRIBUTE` The feature id for the 'Attribute' reference
`static int` `ATTRIBUTE_CHANGE__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `ATTRIBUTE_CHANGE__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `ATTRIBUTE_CHANGE__KIND` The feature id for the 'Kind' attribute.
`static int` `ATTRIBUTE_CHANGE__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `ATTRIBUTE_CHANGE__REMOTE` The feature id for the 'Remote' attribute
`static int` `ATTRIBUTE_CHANGE__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `ATTRIBUTE_CHANGE__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `ATTRIBUTE_CHANGE_FEATURE_COUNT` The number of structural features of the 'Attribute Change' class
`static int` `ATTRIBUTE_CHANGE_LEFT_TARGET` The meta object id for the '`Attribute Change Left Target`' class
`static int` `ATTRIBUTE_CHANGE_LEFT_TARGET__ATTRIBUTE` The feature id for the 'Attribute' reference
`static int` `ATTRIBUTE_CHANGE_LEFT_TARGET__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `ATTRIBUTE_CHANGE_LEFT_TARGET__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `ATTRIBUTE_CHANGE_LEFT_TARGET__KIND` The feature id for the 'Kind' attribute.
`static int` `ATTRIBUTE_CHANGE_LEFT_TARGET__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `ATTRIBUTE_CHANGE_LEFT_TARGET__LEFT_TARGET` The feature id for the 'Left Target' attribute
`static int` `ATTRIBUTE_CHANGE_LEFT_TARGET__REMOTE` The feature id for the 'Remote' attribute
`static int` `ATTRIBUTE_CHANGE_LEFT_TARGET__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `ATTRIBUTE_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `ATTRIBUTE_CHANGE_LEFT_TARGET_FEATURE_COUNT` The number of structural features of the 'Attribute Change Left Target' class.
`static int` `ATTRIBUTE_CHANGE_RIGHT_TARGET` The meta object id for the '`Attribute Change Right Target`' class
`static int` `ATTRIBUTE_CHANGE_RIGHT_TARGET__ATTRIBUTE` The feature id for the 'Attribute' reference
`static int` `ATTRIBUTE_CHANGE_RIGHT_TARGET__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `ATTRIBUTE_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `ATTRIBUTE_CHANGE_RIGHT_TARGET__KIND` The feature id for the 'Kind' attribute.
`static int` `ATTRIBUTE_CHANGE_RIGHT_TARGET__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `ATTRIBUTE_CHANGE_RIGHT_TARGET__REMOTE` The feature id for the 'Remote' attribute
`static int` `ATTRIBUTE_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `ATTRIBUTE_CHANGE_RIGHT_TARGET__RIGHT_TARGET` The feature id for the 'Right Target' attribute
`static int` `ATTRIBUTE_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `ATTRIBUTE_CHANGE_RIGHT_TARGET_FEATURE_COUNT` The number of structural features of the 'Attribute Change Right Target' class.
`static int` `COMPARISON_RESOURCE_SET_SNAPSHOT` The meta object id for the '`Comparison Resource Set Snapshot`' class
`static int` `COMPARISON_RESOURCE_SET_SNAPSHOT__DATE` The feature id for the 'Date' attribute
`static int` `COMPARISON_RESOURCE_SET_SNAPSHOT__DIFF_RESOURCE_SET` The feature id for the 'Diff Resource Set' containment reference
`static int` `COMPARISON_RESOURCE_SET_SNAPSHOT__MATCH_RESOURCE_SET` The feature id for the 'Match Resource Set' containment reference
`static int` `COMPARISON_RESOURCE_SET_SNAPSHOT_FEATURE_COUNT` The number of structural features of the 'Comparison Resource Set Snapshot' class
`static int` `COMPARISON_RESOURCE_SNAPSHOT` The meta object id for the '`Comparison Resource Snapshot`' class
`static int` `COMPARISON_RESOURCE_SNAPSHOT__DATE` The feature id for the 'Date' attribute
`static int` `COMPARISON_RESOURCE_SNAPSHOT__DIFF` The feature id for the 'Diff' containment reference
`static int` `COMPARISON_RESOURCE_SNAPSHOT__MATCH` The feature id for the 'Match' containment reference
`static int` `COMPARISON_RESOURCE_SNAPSHOT_FEATURE_COUNT` The number of structural features of the 'Comparison Resource Snapshot' class
`static int` `COMPARISON_SNAPSHOT` The meta object id for the '`Comparison Snapshot`' class
`static int` `COMPARISON_SNAPSHOT__DATE` The feature id for the 'Date' attribute
`static int` `COMPARISON_SNAPSHOT_FEATURE_COUNT` The number of structural features of the 'Comparison Snapshot' class
`static int` `CONFLICTING_DIFF_ELEMENT` The meta object id for the '`Conflicting Diff Element`' class
`static int` `CONFLICTING_DIFF_ELEMENT__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `CONFLICTING_DIFF_ELEMENT__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `CONFLICTING_DIFF_ELEMENT__KIND` The feature id for the 'Kind' attribute.
`static int` `CONFLICTING_DIFF_ELEMENT__LEFT_PARENT` The feature id for the 'Left Parent' reference
`static int` `CONFLICTING_DIFF_ELEMENT__ORIGIN_ELEMENT` The feature id for the 'Origin Element' reference
`static int` `CONFLICTING_DIFF_ELEMENT__REMOTE` The feature id for the 'Remote' attribute
`static int` `CONFLICTING_DIFF_ELEMENT__RIGHT_PARENT` The feature id for the 'Right Parent' reference
`static int` `CONFLICTING_DIFF_ELEMENT__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `CONFLICTING_DIFF_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Conflicting Diff Element' class.
`static int` `DIFF_ELEMENT` The meta object id for the '`Element`' class
`static int` `DIFF_ELEMENT__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `DIFF_ELEMENT__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `DIFF_ELEMENT__KIND` The feature id for the 'Kind' attribute.
`static int` `DIFF_ELEMENT__REMOTE` The feature id for the 'Remote' attribute
`static int` `DIFF_ELEMENT__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `DIFF_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Element' class
`static int` `DIFF_GROUP` The meta object id for the '`Group`' class
`static int` `DIFF_GROUP__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `DIFF_GROUP__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `DIFF_GROUP__KIND` The feature id for the 'Kind' attribute.
`static int` `DIFF_GROUP__REMOTE` The feature id for the 'Remote' attribute
`static int` `DIFF_GROUP__RIGHT_PARENT` The feature id for the 'Right Parent' reference
`static int` `DIFF_GROUP__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `DIFF_GROUP__SUBCHANGES` The feature id for the 'Subchanges' attribute
`static int` `DIFF_GROUP_FEATURE_COUNT` The number of structural features of the 'Group' class
`static int` `DIFF_MODEL` The meta object id for the '`Model`' class
`static int` `DIFF_MODEL__ANCESTOR_ROOTS` The feature id for the 'Ancestor Roots' reference list
`static int` `DIFF_MODEL__LEFT_ROOTS` The feature id for the 'Left Roots' reference list
`static int` `DIFF_MODEL__OWNED_ELEMENTS` The feature id for the 'Owned Elements' containment reference list.
`static int` `DIFF_MODEL__RIGHT_ROOTS` The feature id for the 'Right Roots' reference list
`static int` `DIFF_MODEL_FEATURE_COUNT` The number of structural features of the 'Model' class
`static int` `DIFF_RESOURCE_SET` The meta object id for the '`Resource Set`' class
`static int` `DIFF_RESOURCE_SET__DIFF_MODELS` The feature id for the 'Diff Models' containment reference list
`static int` `DIFF_RESOURCE_SET__RESOURCE_DIFFS` The feature id for the 'Resource Diffs' containment reference list
`static int` `DIFF_RESOURCE_SET_FEATURE_COUNT` The number of structural features of the 'Resource Set' class
`static int` `DIFFERENCE_KIND` The meta object id for the '`Difference Kind`' enum
`static DiffPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `IMERGER` The meta object id for the 'IMerger' data type.
`static int` `MODEL_ELEMENT_CHANGE` The meta object id for the '`Model Element Change`' class
`static int` `MODEL_ELEMENT_CHANGE__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `MODEL_ELEMENT_CHANGE__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `MODEL_ELEMENT_CHANGE__KIND` The feature id for the 'Kind' attribute.
`static int` `MODEL_ELEMENT_CHANGE__REMOTE` The feature id for the 'Remote' attribute
`static int` `MODEL_ELEMENT_CHANGE__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `MODEL_ELEMENT_CHANGE_FEATURE_COUNT` The number of structural features of the 'Model Element Change' class
`static int` `MODEL_ELEMENT_CHANGE_LEFT_TARGET` The meta object id for the '`Model Element Change Left Target`' class
`static int` `MODEL_ELEMENT_CHANGE_LEFT_TARGET__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `MODEL_ELEMENT_CHANGE_LEFT_TARGET__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `MODEL_ELEMENT_CHANGE_LEFT_TARGET__KIND` The feature id for the 'Kind' attribute.
`static int` `MODEL_ELEMENT_CHANGE_LEFT_TARGET__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `MODEL_ELEMENT_CHANGE_LEFT_TARGET__REMOTE` The feature id for the 'Remote' attribute
`static int` `MODEL_ELEMENT_CHANGE_LEFT_TARGET__RIGHT_PARENT` The feature id for the 'Right Parent' reference
`static int` `MODEL_ELEMENT_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `MODEL_ELEMENT_CHANGE_LEFT_TARGET_FEATURE_COUNT` The number of structural features of the 'Model Element Change Left Target' class.
`static int` `MODEL_ELEMENT_CHANGE_RIGHT_TARGET` The meta object id for the '`Model Element Change Right Target`' class
`static int` `MODEL_ELEMENT_CHANGE_RIGHT_TARGET__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `MODEL_ELEMENT_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `MODEL_ELEMENT_CHANGE_RIGHT_TARGET__KIND` The feature id for the 'Kind' attribute.
`static int` `MODEL_ELEMENT_CHANGE_RIGHT_TARGET__LEFT_PARENT` The feature id for the 'Left Parent' reference
`static int` `MODEL_ELEMENT_CHANGE_RIGHT_TARGET__REMOTE` The feature id for the 'Remote' attribute
`static int` `MODEL_ELEMENT_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `MODEL_ELEMENT_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `MODEL_ELEMENT_CHANGE_RIGHT_TARGET_FEATURE_COUNT` The number of structural features of the 'Model Element Change Right Target' class.
`static int` `MOVE_MODEL_ELEMENT` The meta object id for the '`Move Model Element`' class
`static int` `MOVE_MODEL_ELEMENT__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `MOVE_MODEL_ELEMENT__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `MOVE_MODEL_ELEMENT__KIND` The feature id for the 'Kind' attribute.
`static int` `MOVE_MODEL_ELEMENT__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `MOVE_MODEL_ELEMENT__LEFT_TARGET` The feature id for the 'Left Target' reference
`static int` `MOVE_MODEL_ELEMENT__REMOTE` The feature id for the 'Remote' attribute
`static int` `MOVE_MODEL_ELEMENT__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `MOVE_MODEL_ELEMENT__RIGHT_TARGET` The feature id for the 'Right Target' reference
`static int` `MOVE_MODEL_ELEMENT__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `MOVE_MODEL_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Move Model Element' class
`static int` `REFERENCE_CHANGE` The meta object id for the '`Reference Change`' class
`static int` `REFERENCE_CHANGE__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `REFERENCE_CHANGE__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `REFERENCE_CHANGE__KIND` The feature id for the 'Kind' attribute.
`static int` `REFERENCE_CHANGE__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `REFERENCE_CHANGE__REFERENCE` The feature id for the 'Reference' reference
`static int` `REFERENCE_CHANGE__REMOTE` The feature id for the 'Remote' attribute
`static int` `REFERENCE_CHANGE__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `REFERENCE_CHANGE__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `REFERENCE_CHANGE_FEATURE_COUNT` The number of structural features of the 'Reference Change' class
`static int` `REFERENCE_CHANGE_LEFT_TARGET` The meta object id for the '`Reference Change Left Target`' class
`static int` `REFERENCE_CHANGE_LEFT_TARGET__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `REFERENCE_CHANGE_LEFT_TARGET__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `REFERENCE_CHANGE_LEFT_TARGET__KIND` The feature id for the 'Kind' attribute.
`static int` `REFERENCE_CHANGE_LEFT_TARGET__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `REFERENCE_CHANGE_LEFT_TARGET__LEFT_TARGET` The feature id for the 'Left Target' reference
`static int` `REFERENCE_CHANGE_LEFT_TARGET__REFERENCE` The feature id for the 'Reference' reference
`static int` `REFERENCE_CHANGE_LEFT_TARGET__REMOTE` The feature id for the 'Remote' attribute
`static int` `REFERENCE_CHANGE_LEFT_TARGET__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `REFERENCE_CHANGE_LEFT_TARGET__RIGHT_TARGET` The feature id for the 'Right Target' reference
`static int` `REFERENCE_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `REFERENCE_CHANGE_LEFT_TARGET_FEATURE_COUNT` The number of structural features of the 'Reference Change Left Target' class.
`static int` `REFERENCE_CHANGE_RIGHT_TARGET` The meta object id for the '`Reference Change Right Target`' class
`static int` `REFERENCE_CHANGE_RIGHT_TARGET__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `REFERENCE_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `REFERENCE_CHANGE_RIGHT_TARGET__KIND` The feature id for the 'Kind' attribute.
`static int` `REFERENCE_CHANGE_RIGHT_TARGET__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `REFERENCE_CHANGE_RIGHT_TARGET__LEFT_TARGET` The feature id for the 'Left Target' reference
`static int` `REFERENCE_CHANGE_RIGHT_TARGET__REFERENCE` The feature id for the 'Reference' reference
`static int` `REFERENCE_CHANGE_RIGHT_TARGET__REMOTE` The feature id for the 'Remote' attribute
`static int` `REFERENCE_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `REFERENCE_CHANGE_RIGHT_TARGET__RIGHT_TARGET` The feature id for the 'Right Target' reference
`static int` `REFERENCE_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `REFERENCE_CHANGE_RIGHT_TARGET_FEATURE_COUNT` The number of structural features of the 'Reference Change Right Target' class.
`static int` `REFERENCE_ORDER_CHANGE` The meta object id for the '`Reference Order Change`' class
`static int` `REFERENCE_ORDER_CHANGE__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `REFERENCE_ORDER_CHANGE__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `REFERENCE_ORDER_CHANGE__KIND` The feature id for the 'Kind' attribute
`static int` `REFERENCE_ORDER_CHANGE__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `REFERENCE_ORDER_CHANGE__LEFT_TARGET` The feature id for the 'Left Target' reference list
`static int` `REFERENCE_ORDER_CHANGE__REFERENCE` The feature id for the 'Reference' reference
`static int` `REFERENCE_ORDER_CHANGE__REMOTE` The feature id for the 'Remote' attribute
`static int` `REFERENCE_ORDER_CHANGE__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `REFERENCE_ORDER_CHANGE__RIGHT_TARGET` The feature id for the 'Right Target' reference list
`static int` `REFERENCE_ORDER_CHANGE__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list
`static int` `REFERENCE_ORDER_CHANGE_FEATURE_COUNT` The number of structural features of the 'Reference Order Change' class
`static int` `RESOURCE_DEPENDENCY_CHANGE` The meta object id for the '`Resource Dependency Change`' class
`static int` `RESOURCE_DEPENDENCY_CHANGE__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `RESOURCE_DEPENDENCY_CHANGE__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `RESOURCE_DEPENDENCY_CHANGE__KIND` The feature id for the 'Kind' attribute
`static int` `RESOURCE_DEPENDENCY_CHANGE__REMOTE` The feature id for the 'Remote' attribute
`static int` `RESOURCE_DEPENDENCY_CHANGE__ROOTS` The feature id for the 'Roots' reference list
`static int` `RESOURCE_DEPENDENCY_CHANGE__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list
`static int` `RESOURCE_DEPENDENCY_CHANGE_FEATURE_COUNT` The number of structural features of the 'Resource Dependency Change' class
`static int` `RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET` The meta object id for the '`Resource Dependency Change Left Target`' class
`static int` `RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__KIND` The feature id for the 'Kind' attribute
`static int` `RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__REMOTE` The feature id for the 'Remote' attribute
`static int` `RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__ROOTS` The feature id for the 'Roots' reference list
`static int` `RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list
`static int` `RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET_FEATURE_COUNT` The number of structural features of the 'Resource Dependency Change Left Target' class
`static int` `RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET` The meta object id for the '`Resource Dependency Change Right Target`' class
`static int` `RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__KIND` The feature id for the 'Kind' attribute
`static int` `RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__REMOTE` The feature id for the 'Remote' attribute
`static int` `RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__ROOTS` The feature id for the 'Roots' reference list
`static int` `RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list
`static int` `RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET_FEATURE_COUNT` The number of structural features of the 'Resource Dependency Change Right Target' class
`static int` `RESOURCE_DIFF` The meta object id for the '`Resource Diff`' class
`static int` `RESOURCE_DIFF__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `RESOURCE_DIFF__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `RESOURCE_DIFF__KIND` The feature id for the 'Kind' attribute
`static int` `RESOURCE_DIFF__REMOTE` The feature id for the 'Remote' attribute
`static int` `RESOURCE_DIFF__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list
`static int` `RESOURCE_DIFF_FEATURE_COUNT` The number of structural features of the 'Resource Diff' class
`static int` `UPDATE_ATTRIBUTE` The meta object id for the '`Update Attribute`' class
`static int` `UPDATE_ATTRIBUTE__ATTRIBUTE` The feature id for the 'Attribute' reference
`static int` `UPDATE_ATTRIBUTE__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `UPDATE_ATTRIBUTE__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `UPDATE_ATTRIBUTE__KIND` The feature id for the 'Kind' attribute.
`static int` `UPDATE_ATTRIBUTE__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `UPDATE_ATTRIBUTE__REMOTE` The feature id for the 'Remote' attribute
`static int` `UPDATE_ATTRIBUTE__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `UPDATE_ATTRIBUTE__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `UPDATE_ATTRIBUTE_FEATURE_COUNT` The number of structural features of the 'Update Attribute' class
`static int` `UPDATE_CONTAINMENT_FEATURE` The meta object id for the '`Update Containment Feature`' class
`static int` `UPDATE_CONTAINMENT_FEATURE__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `UPDATE_CONTAINMENT_FEATURE__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `UPDATE_CONTAINMENT_FEATURE__KIND` The feature id for the 'Kind' attribute
`static int` `UPDATE_CONTAINMENT_FEATURE__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `UPDATE_CONTAINMENT_FEATURE__LEFT_TARGET` The feature id for the 'Left Target' reference
`static int` `UPDATE_CONTAINMENT_FEATURE__REMOTE` The feature id for the 'Remote' attribute
`static int` `UPDATE_CONTAINMENT_FEATURE__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `UPDATE_CONTAINMENT_FEATURE__RIGHT_TARGET` The feature id for the 'Right Target' reference
`static int` `UPDATE_CONTAINMENT_FEATURE__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list
`static int` `UPDATE_CONTAINMENT_FEATURE_FEATURE_COUNT` The number of structural features of the 'Update Containment Feature' class
`static int` `UPDATE_MODEL_ELEMENT` The meta object id for the '`Update Model Element`' class
`static int` `UPDATE_MODEL_ELEMENT__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `UPDATE_MODEL_ELEMENT__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `UPDATE_MODEL_ELEMENT__KIND` The feature id for the 'Kind' attribute.
`static int` `UPDATE_MODEL_ELEMENT__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `UPDATE_MODEL_ELEMENT__REMOTE` The feature id for the 'Remote' attribute
`static int` `UPDATE_MODEL_ELEMENT__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `UPDATE_MODEL_ELEMENT__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `UPDATE_MODEL_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Update Model Element' class
`static int` `UPDATE_REFERENCE` The meta object id for the '`Update Reference`' class
`static int` `UPDATE_REFERENCE__CONFLICTING` The feature id for the 'Conflicting' attribute
`static int` `UPDATE_REFERENCE__IS_HIDDEN_BY` The feature id for the 'Is Hidden By' reference list
`static int` `UPDATE_REFERENCE__KIND` The feature id for the 'Kind' attribute.
`static int` `UPDATE_REFERENCE__LEFT_ELEMENT` The feature id for the 'Left Element' reference
`static int` `UPDATE_REFERENCE__LEFT_TARGET` The feature id for the 'Left Target' reference
`static int` `UPDATE_REFERENCE__REFERENCE` The feature id for the 'Reference' reference
`static int` `UPDATE_REFERENCE__REMOTE` The feature id for the 'Remote' attribute
`static int` `UPDATE_REFERENCE__RIGHT_ELEMENT` The feature id for the 'Right Element' reference
`static int` `UPDATE_REFERENCE__RIGHT_TARGET` The feature id for the 'Right Target' reference
`static int` `UPDATE_REFERENCE__SUB_DIFF_ELEMENTS` The feature id for the 'Sub Diff Elements' containment reference list.
`static int` `UPDATE_REFERENCE_FEATURE_COUNT` The number of structural features of the 'Update Reference' class

Method Summary
`org.eclipse.emf.ecore.EReference` `getAbstractDiffExtension_HideElements()` Returns the meta object for the reference list '`Hide Elements`'
`org.eclipse.emf.ecore.EAttribute` `getAbstractDiffExtension_IsCollapsed()` Returns the meta object for the attribute '`Is Collapsed`'
`org.eclipse.emf.ecore.EClass` `getAbstractDiffExtension()` Returns the meta object for class '`Abstract Diff Extension`'
`org.eclipse.emf.ecore.EReference` `getAttributeChange_Attribute()` Returns the meta object for the reference '`Attribute`'
`org.eclipse.emf.ecore.EReference` `getAttributeChange_LeftElement()` Returns the meta object for the reference '`Left Element`'
`org.eclipse.emf.ecore.EReference` `getAttributeChange_RightElement()` Returns the meta object for the reference '`Right Element`'
`org.eclipse.emf.ecore.EClass` `getAttributeChange()` Returns the meta object for class '`Attribute Change`'
`org.eclipse.emf.ecore.EAttribute` `getAttributeChangeLeftTarget_LeftTarget()` Returns the meta object for the attribute '`Left Target`'
`org.eclipse.emf.ecore.EClass` `getAttributeChangeLeftTarget()` Returns the meta object for class '`Attribute Change Left Target`'
`org.eclipse.emf.ecore.EAttribute` `getAttributeChangeRightTarget_RightTarget()` Returns the meta object for the attribute '`Right Target`'
`org.eclipse.emf.ecore.EClass` `getAttributeChangeRightTarget()` Returns the meta object for class '`Attribute Change Right Target`'
`org.eclipse.emf.ecore.EReference` `getComparisonResourceSetSnapshot_DiffResourceSet()` Returns the meta object for the containment reference '`Diff Resource Set`'
`org.eclipse.emf.ecore.EReference` `getComparisonResourceSetSnapshot_MatchResourceSet()` Returns the meta object for the containment reference '`Match Resource Set`'
`org.eclipse.emf.ecore.EClass` `getComparisonResourceSetSnapshot()` Returns the meta object for class '`Comparison Resource Set Snapshot`'
`org.eclipse.emf.ecore.EReference` `getComparisonResourceSnapshot_Diff()` Returns the meta object for the containment reference '`Diff`'
`org.eclipse.emf.ecore.EReference` `getComparisonResourceSnapshot_Match()` Returns the meta object for the containment reference '`Match`'
`org.eclipse.emf.ecore.EClass` `getComparisonResourceSnapshot()` Returns the meta object for class '`Comparison Resource Snapshot`'
`org.eclipse.emf.ecore.EAttribute` `getComparisonSnapshot_Date()` Returns the meta object for the attribute '`Date`'
`org.eclipse.emf.ecore.EClass` `getComparisonSnapshot()` Returns the meta object for class '`Comparison Snapshot`'
`org.eclipse.emf.ecore.EReference` `getConflictingDiffElement_LeftParent()` Returns the meta object for the reference '`Left Parent`'
`org.eclipse.emf.ecore.EReference` `getConflictingDiffElement_OriginElement()` Returns the meta object for the reference '`Origin Element`'
`org.eclipse.emf.ecore.EReference` `getConflictingDiffElement_RightParent()` Returns the meta object for the reference '`Right Parent`'
`org.eclipse.emf.ecore.EClass` `getConflictingDiffElement()` Returns the meta object for class '`Conflicting Diff Element`'
`org.eclipse.emf.ecore.EAttribute` `getDiffElement_Conflicting()` Returns the meta object for the attribute '`Conflicting`'
`org.eclipse.emf.ecore.EReference` `getDiffElement_IsHiddenBy()` Returns the meta object for the reference list '`Is Hidden By`'
`org.eclipse.emf.ecore.EAttribute` `getDiffElement_Kind()` Returns the meta object for the attribute '`Kind`'
`org.eclipse.emf.ecore.EAttribute` `getDiffElement_Remote()` Returns the meta object for the attribute '`Remote`'
`org.eclipse.emf.ecore.EReference` `getDiffElement_SubDiffElements()` Returns the meta object for the containment reference list '`Sub Diff Elements`'
`org.eclipse.emf.ecore.EClass` `getDiffElement()` Returns the meta object for class '`Element`'
`org.eclipse.emf.ecore.EEnum` `getDifferenceKind()` Returns the meta object for enum '`Difference Kind`'
`DiffFactory` `getDiffFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` `getDiffGroup_RightParent()` Returns the meta object for the reference '`Right Parent`'
`org.eclipse.emf.ecore.EAttribute` `getDiffGroup_Subchanges()` Returns the meta object for the attribute '`Subchanges`'
`org.eclipse.emf.ecore.EClass` `getDiffGroup()` Returns the meta object for class '`Group`'
`org.eclipse.emf.ecore.EReference` `getDiffModel_AncestorRoots()` Returns the meta object for the reference list '`Ancestor Roots`'
`org.eclipse.emf.ecore.EReference` `getDiffModel_LeftRoots()` Returns the meta object for the reference list '`Left Roots`'
`org.eclipse.emf.ecore.EReference` `getDiffModel_OwnedElements()` Returns the meta object for the containment reference list '`Owned Elements`'
`org.eclipse.emf.ecore.EReference` `getDiffModel_RightRoots()` Returns the meta object for the reference list '`Right Roots`'
`org.eclipse.emf.ecore.EClass` `getDiffModel()` Returns the meta object for class '`Model`'
`org.eclipse.emf.ecore.EReference` `getDiffResourceSet_DiffModels()` Returns the meta object for the containment reference list '`Diff Models`'
`org.eclipse.emf.ecore.EReference` `getDiffResourceSet_ResourceDiffs()` Returns the meta object for the containment reference list '`Resource Diffs`'
`org.eclipse.emf.ecore.EClass` `getDiffResourceSet()` Returns the meta object for class '`Resource Set`'
`org.eclipse.emf.ecore.EDataType` `getIMerger()` Returns the meta object for data type '`IMerger`'
`org.eclipse.emf.ecore.EClass` `getModelElementChange()` Returns the meta object for class '`Model Element Change`'
`org.eclipse.emf.ecore.EReference` `getModelElementChangeLeftTarget_LeftElement()` Returns the meta object for the reference '`Left Element`'
`org.eclipse.emf.ecore.EReference` `getModelElementChangeLeftTarget_RightParent()` Returns the meta object for the reference '`Right Parent`'
`org.eclipse.emf.ecore.EClass` `getModelElementChangeLeftTarget()` Returns the meta object for class '`Model Element Change Left Target`'
`org.eclipse.emf.ecore.EReference` `getModelElementChangeRightTarget_LeftParent()` Returns the meta object for the reference '`Left Parent`'
`org.eclipse.emf.ecore.EReference` `getModelElementChangeRightTarget_RightElement()` Returns the meta object for the reference '`Right Element`'
`org.eclipse.emf.ecore.EClass` `getModelElementChangeRightTarget()` Returns the meta object for class '`Model Element Change Right Target`'
`org.eclipse.emf.ecore.EReference` `getMoveModelElement_LeftTarget()` Returns the meta object for the reference '`Left Target`'
`org.eclipse.emf.ecore.EReference` `getMoveModelElement_RightTarget()` Returns the meta object for the reference '`Right Target`'
`org.eclipse.emf.ecore.EClass` `getMoveModelElement()` Returns the meta object for class '`Move Model Element`'
`org.eclipse.emf.ecore.EReference` `getReferenceChange_LeftElement()` Returns the meta object for the reference '`Left Element`'
`org.eclipse.emf.ecore.EReference` `getReferenceChange_Reference()` Returns the meta object for the reference '`Reference`'
`org.eclipse.emf.ecore.EReference` `getReferenceChange_RightElement()` Returns the meta object for the reference '`Right Element`'
`org.eclipse.emf.ecore.EClass` `getReferenceChange()` Returns the meta object for class '`Reference Change`'
`org.eclipse.emf.ecore.EReference` `getReferenceChangeLeftTarget_LeftTarget()` Returns the meta object for the reference '`Left Target`'
`org.eclipse.emf.ecore.EReference` `getReferenceChangeLeftTarget_RightTarget()` Returns the meta object for the reference '`Right Target`'
`org.eclipse.emf.ecore.EClass` `getReferenceChangeLeftTarget()` Returns the meta object for class '`Reference Change Left Target`'
`org.eclipse.emf.ecore.EReference` `getReferenceChangeRightTarget_LeftTarget()` Returns the meta object for the reference '`Left Target`'
`org.eclipse.emf.ecore.EReference` `getReferenceChangeRightTarget_RightTarget()` Returns the meta object for the reference '`Right Target`'
`org.eclipse.emf.ecore.EClass` `getReferenceChangeRightTarget()` Returns the meta object for class '`Reference Change Right Target`'
`org.eclipse.emf.ecore.EReference` `getReferenceOrderChange_LeftTarget()` Returns the meta object for the reference list '`Left Target`'
`org.eclipse.emf.ecore.EReference` `getReferenceOrderChange_RightTarget()` Returns the meta object for the reference list '`Right Target`'
`org.eclipse.emf.ecore.EClass` `getReferenceOrderChange()` Returns the meta object for class '`Reference Order Change`'
`org.eclipse.emf.ecore.EReference` `getResourceDependencyChange_Roots()` Returns the meta object for the reference list '`Roots`'
`org.eclipse.emf.ecore.EClass` `getResourceDependencyChange()` Returns the meta object for class '`Resource Dependency Change`'
`org.eclipse.emf.ecore.EClass` `getResourceDependencyChangeLeftTarget()` Returns the meta object for class '`Resource Dependency Change Left Target`'
`org.eclipse.emf.ecore.EClass` `getResourceDependencyChangeRightTarget()` Returns the meta object for class '`Resource Dependency Change Right Target`'
`org.eclipse.emf.ecore.EClass` `getResourceDiff()` Returns the meta object for class '`Resource Diff`'
`org.eclipse.emf.ecore.EClass` `getUpdateAttribute()` Returns the meta object for class '`Update Attribute`'
`org.eclipse.emf.ecore.EClass` `getUpdateContainmentFeature()` Returns the meta object for class '`Update Containment Feature`'
`org.eclipse.emf.ecore.EReference` `getUpdateModelElement_LeftElement()` Returns the meta object for the reference '`Left Element`'
`org.eclipse.emf.ecore.EReference` `getUpdateModelElement_RightElement()` Returns the meta object for the reference '`Right Element`'
`org.eclipse.emf.ecore.EClass` `getUpdateModelElement()` Returns the meta object for class '`Update Model Element`'
`org.eclipse.emf.ecore.EReference` `getUpdateReference_LeftTarget()` Returns the meta object for the reference '`Left Target`'
`org.eclipse.emf.ecore.EReference` `getUpdateReference_RightTarget()` Returns the meta object for the reference '`Right Target`'
`org.eclipse.emf.ecore.EClass` `getUpdateReference()` Returns the meta object for class '`Update Reference`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### ABSTRACT_DIFF_EXTENSION

    static final int ABSTRACT_DIFF_EXTENSION

  The meta object id for the '`Abstract Diff Extension`' class.

  See Also:
    `AbstractDiffExtensionImpl`, `DiffPackageImpl.getAbstractDiffExtension()`, Constant Field Values

### DIFF_ELEMENT

    static final int DIFF_ELEMENT

  The meta object id for the '`Element`' class.

  See Also:
    `DiffElementImpl`, `DiffPackageImpl.getDiffElement()`, Constant Field Values

### DIFF_GROUP

    static final int DIFF_GROUP

  The meta object id for the '`Group`' class.

  See Also:
    `DiffGroupImpl`, `DiffPackageImpl.getDiffGroup()`, Constant Field Values

### DIFF_MODEL

    static final int DIFF_MODEL

  The meta object id for the '`Model`' class.

  See Also:
    `DiffModelImpl`, `DiffPackageImpl.getDiffModel()`, Constant Field Values

### DIFF_MODEL__OWNED_ELEMENTS

    static final int DIFF_MODEL__OWNED_ELEMENTS

  The feature id for the 'Owned Elements' containment reference list.

  See Also:
    Constant Field Values

### DIFF_MODEL__LEFT_ROOTS

    static final int DIFF_MODEL__LEFT_ROOTS

  The feature id for the 'Left Roots' reference list.

  See Also:
    Constant Field Values

### DIFF_MODEL__RIGHT_ROOTS

    static final int DIFF_MODEL__RIGHT_ROOTS

  The feature id for the 'Right Roots' reference list.

  See Also:
    Constant Field Values

### DIFF_MODEL__ANCESTOR_ROOTS

    static final int DIFF_MODEL__ANCESTOR_ROOTS

  The feature id for the 'Ancestor Roots' reference list.

  See Also:
    Constant Field Values

### DIFF_MODEL_FEATURE_COUNT

    static final int DIFF_MODEL_FEATURE_COUNT

  The number of structural features of the 'Model' class.

  See Also:
    Constant Field Values

### DIFF_RESOURCE_SET

    static final int DIFF_RESOURCE_SET

  The meta object id for the '`Resource Set`' class.

  See Also:
    `DiffResourceSetImpl`, `DiffPackageImpl.getDiffResourceSet()`, Constant Field Values

### DIFF_RESOURCE_SET__DIFF_MODELS

    static final int DIFF_RESOURCE_SET__DIFF_MODELS

  The feature id for the 'Diff Models' containment reference list.

  See Also:
    Constant Field Values

### DIFF_RESOURCE_SET__RESOURCE_DIFFS

    static final int DIFF_RESOURCE_SET__RESOURCE_DIFFS

  The feature id for the 'Resource Diffs' containment reference list.

  See Also:
    Constant Field Values

### DIFF_RESOURCE_SET_FEATURE_COUNT

    static final int DIFF_RESOURCE_SET_FEATURE_COUNT

  The number of structural features of the 'Resource Set' class.

  See Also:
    Constant Field Values

### DIFF_ELEMENT__SUB_DIFF_ELEMENTS

    static final int DIFF_ELEMENT__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### DIFF_ELEMENT__IS_HIDDEN_BY

    static final int DIFF_ELEMENT__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### DIFF_ELEMENT__CONFLICTING

    static final int DIFF_ELEMENT__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### DIFF_ELEMENT__KIND

    static final int DIFF_ELEMENT__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### DIFF_ELEMENT__REMOTE

    static final int DIFF_ELEMENT__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### DIFF_ELEMENT_FEATURE_COUNT

    static final int DIFF_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Element' class.

  See Also:
    Constant Field Values

### CONFLICTING_DIFF_ELEMENT

    static final int CONFLICTING_DIFF_ELEMENT

  The meta object id for the '`Conflicting Diff Element`' class.

  See Also:
    `ConflictingDiffElementImpl`, `DiffPackageImpl.getConflictingDiffElement()`, Constant Field Values

### ATTRIBUTE_CHANGE

    static final int ATTRIBUTE_CHANGE

  The meta object id for the '`Attribute Change`' class.

  See Also:
    `AttributeChangeImpl`, `DiffPackageImpl.getAttributeChange()`, Constant Field Values

### ATTRIBUTE_CHANGE_LEFT_TARGET

    static final int ATTRIBUTE_CHANGE_LEFT_TARGET

  The meta object id for the '`Attribute Change Left Target`' class.

  See Also:
    `AttributeChangeLeftTargetImpl`, `DiffPackageImpl.getAttributeChangeLeftTarget()`, Constant Field Values

### ATTRIBUTE_CHANGE_RIGHT_TARGET

    static final int ATTRIBUTE_CHANGE_RIGHT_TARGET

  The meta object id for the '`Attribute Change Right Target`' class.

  See Also:
    `AttributeChangeRightTargetImpl`, `DiffPackageImpl.getAttributeChangeRightTarget()`, Constant Field Values

### eINSTANCE

    static final DiffPackage eINSTANCE

  The singleton instance of the package.

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### CONFLICTING_DIFF_ELEMENT__SUB_DIFF_ELEMENTS

    static final int CONFLICTING_DIFF_ELEMENT__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### CONFLICTING_DIFF_ELEMENT__IS_HIDDEN_BY

    static final int CONFLICTING_DIFF_ELEMENT__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### CONFLICTING_DIFF_ELEMENT__CONFLICTING

    static final int CONFLICTING_DIFF_ELEMENT__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### CONFLICTING_DIFF_ELEMENT__KIND

    static final int CONFLICTING_DIFF_ELEMENT__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### CONFLICTING_DIFF_ELEMENT__REMOTE

    static final int CONFLICTING_DIFF_ELEMENT__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### CONFLICTING_DIFF_ELEMENT__LEFT_PARENT

    static final int CONFLICTING_DIFF_ELEMENT__LEFT_PARENT

  The feature id for the 'Left Parent' reference.

  See Also:
    Constant Field Values

### CONFLICTING_DIFF_ELEMENT__RIGHT_PARENT

    static final int CONFLICTING_DIFF_ELEMENT__RIGHT_PARENT

  The feature id for the 'Right Parent' reference.

  See Also:
    Constant Field Values

### CONFLICTING_DIFF_ELEMENT__ORIGIN_ELEMENT

    static final int CONFLICTING_DIFF_ELEMENT__ORIGIN_ELEMENT

  The feature id for the 'Origin Element' reference.

  See Also:
    Constant Field Values

### CONFLICTING_DIFF_ELEMENT_FEATURE_COUNT

    static final int CONFLICTING_DIFF_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Conflicting Diff Element' class.

  See Also:
    Constant Field Values

### DIFF_GROUP__SUB_DIFF_ELEMENTS

    static final int DIFF_GROUP__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### DIFF_GROUP__IS_HIDDEN_BY

    static final int DIFF_GROUP__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### DIFF_GROUP__CONFLICTING

    static final int DIFF_GROUP__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### DIFF_GROUP__KIND

    static final int DIFF_GROUP__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### DIFF_GROUP__REMOTE

    static final int DIFF_GROUP__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### DIFF_GROUP__RIGHT_PARENT

    static final int DIFF_GROUP__RIGHT_PARENT

  The feature id for the 'Right Parent' reference.

  See Also:
    Constant Field Values

### DIFF_GROUP__SUBCHANGES

    static final int DIFF_GROUP__SUBCHANGES

  The feature id for the 'Subchanges' attribute.

  See Also:
    Constant Field Values

### DIFF_GROUP_FEATURE_COUNT

    static final int DIFF_GROUP_FEATURE_COUNT

  The number of structural features of the 'Group' class.

  See Also:
    Constant Field Values

### COMPARISON_SNAPSHOT

    static final int COMPARISON_SNAPSHOT

  The meta object id for the '`Comparison Snapshot`' class.

  See Also:
    `ComparisonSnapshot`, `DiffPackageImpl.getComparisonSnapshot()`, Constant Field Values

### COMPARISON_SNAPSHOT__DATE

    static final int COMPARISON_SNAPSHOT__DATE

  The feature id for the 'Date' attribute.

  See Also:
    Constant Field Values

### COMPARISON_SNAPSHOT_FEATURE_COUNT

    static final int COMPARISON_SNAPSHOT_FEATURE_COUNT

  The number of structural features of the 'Comparison Snapshot' class.

  See Also:
    Constant Field Values

### COMPARISON_RESOURCE_SNAPSHOT

    static final int COMPARISON_RESOURCE_SNAPSHOT

  The meta object id for the '`Comparison Resource Snapshot`' class.

  See Also:
    `ComparisonResourceSnapshotImpl`, `DiffPackageImpl.getComparisonResourceSnapshot()`, Constant Field Values

### COMPARISON_RESOURCE_SNAPSHOT__DATE

    static final int COMPARISON_RESOURCE_SNAPSHOT__DATE

  The feature id for the 'Date' attribute.

  See Also:
    Constant Field Values

### COMPARISON_RESOURCE_SNAPSHOT__DIFF

    static final int COMPARISON_RESOURCE_SNAPSHOT__DIFF

  The feature id for the 'Diff' containment reference.

  See Also:
    Constant Field Values

### COMPARISON_RESOURCE_SNAPSHOT__MATCH

    static final int COMPARISON_RESOURCE_SNAPSHOT__MATCH

  The feature id for the 'Match' containment reference.

  See Also:
    Constant Field Values

### COMPARISON_RESOURCE_SNAPSHOT_FEATURE_COUNT

    static final int COMPARISON_RESOURCE_SNAPSHOT_FEATURE_COUNT

  The number of structural features of the 'Comparison Resource Snapshot' class.

  See Also:
    Constant Field Values

### COMPARISON_RESOURCE_SET_SNAPSHOT

    static final int COMPARISON_RESOURCE_SET_SNAPSHOT

  The meta object id for the '`Comparison Resource Set Snapshot`' class.

  See Also:
    `ComparisonResourceSetSnapshotImpl`, `DiffPackageImpl.getComparisonResourceSetSnapshot()`, Constant Field Values

### COMPARISON_RESOURCE_SET_SNAPSHOT__DATE

    static final int COMPARISON_RESOURCE_SET_SNAPSHOT__DATE

  The feature id for the 'Date' attribute.

  See Also:
    Constant Field Values

### COMPARISON_RESOURCE_SET_SNAPSHOT__DIFF_RESOURCE_SET

    static final int COMPARISON_RESOURCE_SET_SNAPSHOT__DIFF_RESOURCE_SET

  The feature id for the 'Diff Resource Set' containment reference.

  See Also:
    Constant Field Values

### COMPARISON_RESOURCE_SET_SNAPSHOT__MATCH_RESOURCE_SET

    static final int COMPARISON_RESOURCE_SET_SNAPSHOT__MATCH_RESOURCE_SET

  The feature id for the 'Match Resource Set' containment reference.

  See Also:
    Constant Field Values

### COMPARISON_RESOURCE_SET_SNAPSHOT_FEATURE_COUNT

    static final int COMPARISON_RESOURCE_SET_SNAPSHOT_FEATURE_COUNT

  The number of structural features of the 'Comparison Resource Set Snapshot' class.

  See Also:
    Constant Field Values

### IMERGER

    static final int IMERGER

  The meta object id for the 'IMerger' data type.

  See Also:
    `IMerger`, `DiffPackageImpl.getIMerger()`, Constant Field Values

### MODEL_ELEMENT_CHANGE

    static final int MODEL_ELEMENT_CHANGE

  The meta object id for the '`Model Element Change`' class.

  See Also:
    `ModelElementChangeImpl`, `DiffPackageImpl.getModelElementChange()`, Constant Field Values

### MODEL_ELEMENT_CHANGE_LEFT_TARGET

    static final int MODEL_ELEMENT_CHANGE_LEFT_TARGET

  The meta object id for the '`Model Element Change Left Target`' class.

  See Also:
    `ModelElementChangeLeftTargetImpl`, `DiffPackageImpl.getModelElementChangeLeftTarget()`, Constant Field Values

### MODEL_ELEMENT_CHANGE_RIGHT_TARGET

    static final int MODEL_ELEMENT_CHANGE_RIGHT_TARGET

  The meta object id for the '`Model Element Change Right Target`' class.

  See Also:
    `ModelElementChangeRightTargetImpl`, `DiffPackageImpl.getModelElementChangeRightTarget()`, Constant Field Values

### MODEL_ELEMENT_CHANGE__SUB_DIFF_ELEMENTS

    static final int MODEL_ELEMENT_CHANGE__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE__IS_HIDDEN_BY

    static final int MODEL_ELEMENT_CHANGE__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE__CONFLICTING

    static final int MODEL_ELEMENT_CHANGE__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE__KIND

    static final int MODEL_ELEMENT_CHANGE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE__REMOTE

    static final int MODEL_ELEMENT_CHANGE__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_FEATURE_COUNT

    static final int MODEL_ELEMENT_CHANGE_FEATURE_COUNT

  The number of structural features of the 'Model Element Change' class.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS

    static final int MODEL_ELEMENT_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_LEFT_TARGET__IS_HIDDEN_BY

    static final int MODEL_ELEMENT_CHANGE_LEFT_TARGET__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_LEFT_TARGET__CONFLICTING

    static final int MODEL_ELEMENT_CHANGE_LEFT_TARGET__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_LEFT_TARGET__KIND

    static final int MODEL_ELEMENT_CHANGE_LEFT_TARGET__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_LEFT_TARGET__REMOTE

    static final int MODEL_ELEMENT_CHANGE_LEFT_TARGET__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_LEFT_TARGET__RIGHT_PARENT

    static final int MODEL_ELEMENT_CHANGE_LEFT_TARGET__RIGHT_PARENT

  The feature id for the 'Right Parent' reference.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_LEFT_TARGET__LEFT_ELEMENT

    static final int MODEL_ELEMENT_CHANGE_LEFT_TARGET__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_LEFT_TARGET_FEATURE_COUNT

    static final int MODEL_ELEMENT_CHANGE_LEFT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Model Element Change Left Target' class.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS

    static final int MODEL_ELEMENT_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY

    static final int MODEL_ELEMENT_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_RIGHT_TARGET__CONFLICTING

    static final int MODEL_ELEMENT_CHANGE_RIGHT_TARGET__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_RIGHT_TARGET__KIND

    static final int MODEL_ELEMENT_CHANGE_RIGHT_TARGET__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_RIGHT_TARGET__REMOTE

    static final int MODEL_ELEMENT_CHANGE_RIGHT_TARGET__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_RIGHT_TARGET__LEFT_PARENT

    static final int MODEL_ELEMENT_CHANGE_RIGHT_TARGET__LEFT_PARENT

  The feature id for the 'Left Parent' reference.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT

    static final int MODEL_ELEMENT_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### MODEL_ELEMENT_CHANGE_RIGHT_TARGET_FEATURE_COUNT

    static final int MODEL_ELEMENT_CHANGE_RIGHT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Model Element Change Right Target' class.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE

    static final int REFERENCE_CHANGE

  The meta object id for the '`Reference Change`' class.

  See Also:
    `ReferenceChangeImpl`, `DiffPackageImpl.getReferenceChange()`, Constant Field Values

### REFERENCE_CHANGE_LEFT_TARGET

    static final int REFERENCE_CHANGE_LEFT_TARGET

  The meta object id for the '`Reference Change Left Target`' class.

  See Also:
    `ReferenceChangeLeftTargetImpl`, `DiffPackageImpl.getReferenceChangeLeftTarget()`, Constant Field Values

### REFERENCE_CHANGE_RIGHT_TARGET

    static final int REFERENCE_CHANGE_RIGHT_TARGET

  The meta object id for the '`Reference Change Right Target`' class.

  See Also:
    `ReferenceChangeRightTargetImpl`, `DiffPackageImpl.getReferenceChangeRightTarget()`, Constant Field Values

### UPDATE_ATTRIBUTE

    static final int UPDATE_ATTRIBUTE

  The meta object id for the '`Update Attribute`' class.

  See Also:
    `UpdateAttributeImpl`, `DiffPackageImpl.getUpdateAttribute()`, Constant Field Values

### UPDATE_MODEL_ELEMENT

    static final int UPDATE_MODEL_ELEMENT

  The meta object id for the '`Update Model Element`' class.

  See Also:
    `UpdateModelElementImpl`, `DiffPackageImpl.getUpdateModelElement()`, Constant Field Values

### UPDATE_MODEL_ELEMENT__SUB_DIFF_ELEMENTS

    static final int UPDATE_MODEL_ELEMENT__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### UPDATE_MODEL_ELEMENT__IS_HIDDEN_BY

    static final int UPDATE_MODEL_ELEMENT__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### UPDATE_MODEL_ELEMENT__CONFLICTING

    static final int UPDATE_MODEL_ELEMENT__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### UPDATE_MODEL_ELEMENT__KIND

    static final int UPDATE_MODEL_ELEMENT__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### UPDATE_MODEL_ELEMENT__REMOTE

    static final int UPDATE_MODEL_ELEMENT__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### UPDATE_MODEL_ELEMENT__RIGHT_ELEMENT

    static final int UPDATE_MODEL_ELEMENT__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### UPDATE_MODEL_ELEMENT__LEFT_ELEMENT

    static final int UPDATE_MODEL_ELEMENT__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### UPDATE_MODEL_ELEMENT_FEATURE_COUNT

    static final int UPDATE_MODEL_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Update Model Element' class.

  See Also:
    Constant Field Values

### UPDATE_REFERENCE

    static final int UPDATE_REFERENCE

  The meta object id for the '`Update Reference`' class.

  See Also:
    `UpdateReferenceImpl`, `DiffPackageImpl.getUpdateReference()`, Constant Field Values

### MOVE_MODEL_ELEMENT

    static final int MOVE_MODEL_ELEMENT

  The meta object id for the '`Move Model Element`' class.

  See Also:
    `MoveModelElementImpl`, `DiffPackageImpl.getMoveModelElement()`, Constant Field Values

### MOVE_MODEL_ELEMENT__SUB_DIFF_ELEMENTS

    static final int MOVE_MODEL_ELEMENT__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### MOVE_MODEL_ELEMENT__IS_HIDDEN_BY

    static final int MOVE_MODEL_ELEMENT__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### MOVE_MODEL_ELEMENT__CONFLICTING

    static final int MOVE_MODEL_ELEMENT__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### MOVE_MODEL_ELEMENT__KIND

    static final int MOVE_MODEL_ELEMENT__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### MOVE_MODEL_ELEMENT__REMOTE

    static final int MOVE_MODEL_ELEMENT__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### MOVE_MODEL_ELEMENT__RIGHT_ELEMENT

    static final int MOVE_MODEL_ELEMENT__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### MOVE_MODEL_ELEMENT__LEFT_ELEMENT

    static final int MOVE_MODEL_ELEMENT__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### MOVE_MODEL_ELEMENT__LEFT_TARGET

    static final int MOVE_MODEL_ELEMENT__LEFT_TARGET

  The feature id for the 'Left Target' reference.

  See Also:
    Constant Field Values

### MOVE_MODEL_ELEMENT__RIGHT_TARGET

    static final int MOVE_MODEL_ELEMENT__RIGHT_TARGET

  The feature id for the 'Right Target' reference.

  See Also:
    Constant Field Values

### MOVE_MODEL_ELEMENT_FEATURE_COUNT

    static final int MOVE_MODEL_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Move Model Element' class.

  See Also:
    Constant Field Values

### UPDATE_CONTAINMENT_FEATURE

    static final int UPDATE_CONTAINMENT_FEATURE

  The meta object id for the '`Update Containment Feature`' class.

  See Also:
    `UpdateContainmentFeatureImpl`, `DiffPackageImpl.getUpdateContainmentFeature()`, Constant Field Values

### UPDATE_CONTAINMENT_FEATURE__SUB_DIFF_ELEMENTS

    static final int UPDATE_CONTAINMENT_FEATURE__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### UPDATE_CONTAINMENT_FEATURE__IS_HIDDEN_BY

    static final int UPDATE_CONTAINMENT_FEATURE__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### UPDATE_CONTAINMENT_FEATURE__CONFLICTING

    static final int UPDATE_CONTAINMENT_FEATURE__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### UPDATE_CONTAINMENT_FEATURE__KIND

    static final int UPDATE_CONTAINMENT_FEATURE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### UPDATE_CONTAINMENT_FEATURE__REMOTE

    static final int UPDATE_CONTAINMENT_FEATURE__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### UPDATE_CONTAINMENT_FEATURE__RIGHT_ELEMENT

    static final int UPDATE_CONTAINMENT_FEATURE__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### UPDATE_CONTAINMENT_FEATURE__LEFT_ELEMENT

    static final int UPDATE_CONTAINMENT_FEATURE__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### UPDATE_CONTAINMENT_FEATURE__LEFT_TARGET

    static final int UPDATE_CONTAINMENT_FEATURE__LEFT_TARGET

  The feature id for the 'Left Target' reference.

  See Also:
    Constant Field Values

### UPDATE_CONTAINMENT_FEATURE__RIGHT_TARGET

    static final int UPDATE_CONTAINMENT_FEATURE__RIGHT_TARGET

  The feature id for the 'Right Target' reference.

  See Also:
    Constant Field Values

### UPDATE_CONTAINMENT_FEATURE_FEATURE_COUNT

    static final int UPDATE_CONTAINMENT_FEATURE_FEATURE_COUNT

  The number of structural features of the 'Update Containment Feature' class.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE__SUB_DIFF_ELEMENTS

    static final int ATTRIBUTE_CHANGE__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE__IS_HIDDEN_BY

    static final int ATTRIBUTE_CHANGE__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE__CONFLICTING

    static final int ATTRIBUTE_CHANGE__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE__KIND

    static final int ATTRIBUTE_CHANGE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE__REMOTE

    static final int ATTRIBUTE_CHANGE__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE__ATTRIBUTE

    static final int ATTRIBUTE_CHANGE__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE__LEFT_ELEMENT

    static final int ATTRIBUTE_CHANGE__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE__RIGHT_ELEMENT

    static final int ATTRIBUTE_CHANGE__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_FEATURE_COUNT

    static final int ATTRIBUTE_CHANGE_FEATURE_COUNT

  The number of structural features of the 'Attribute Change' class.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS

    static final int ATTRIBUTE_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_LEFT_TARGET__IS_HIDDEN_BY

    static final int ATTRIBUTE_CHANGE_LEFT_TARGET__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_LEFT_TARGET__CONFLICTING

    static final int ATTRIBUTE_CHANGE_LEFT_TARGET__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_LEFT_TARGET__KIND

    static final int ATTRIBUTE_CHANGE_LEFT_TARGET__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_LEFT_TARGET__REMOTE

    static final int ATTRIBUTE_CHANGE_LEFT_TARGET__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_LEFT_TARGET__ATTRIBUTE

    static final int ATTRIBUTE_CHANGE_LEFT_TARGET__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_LEFT_TARGET__LEFT_ELEMENT

    static final int ATTRIBUTE_CHANGE_LEFT_TARGET__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_LEFT_TARGET__RIGHT_ELEMENT

    static final int ATTRIBUTE_CHANGE_LEFT_TARGET__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_LEFT_TARGET__LEFT_TARGET

    static final int ATTRIBUTE_CHANGE_LEFT_TARGET__LEFT_TARGET

  The feature id for the 'Left Target' attribute.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_LEFT_TARGET_FEATURE_COUNT

    static final int ATTRIBUTE_CHANGE_LEFT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Attribute Change Left Target' class.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS

    static final int ATTRIBUTE_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY

    static final int ATTRIBUTE_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_RIGHT_TARGET__CONFLICTING

    static final int ATTRIBUTE_CHANGE_RIGHT_TARGET__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_RIGHT_TARGET__KIND

    static final int ATTRIBUTE_CHANGE_RIGHT_TARGET__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_RIGHT_TARGET__REMOTE

    static final int ATTRIBUTE_CHANGE_RIGHT_TARGET__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_RIGHT_TARGET__ATTRIBUTE

    static final int ATTRIBUTE_CHANGE_RIGHT_TARGET__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_RIGHT_TARGET__LEFT_ELEMENT

    static final int ATTRIBUTE_CHANGE_RIGHT_TARGET__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT

    static final int ATTRIBUTE_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_RIGHT_TARGET__RIGHT_TARGET

    static final int ATTRIBUTE_CHANGE_RIGHT_TARGET__RIGHT_TARGET

  The feature id for the 'Right Target' attribute.

  See Also:
    Constant Field Values

### ATTRIBUTE_CHANGE_RIGHT_TARGET_FEATURE_COUNT

    static final int ATTRIBUTE_CHANGE_RIGHT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Attribute Change Right Target' class.

  See Also:
    Constant Field Values

### UPDATE_ATTRIBUTE__SUB_DIFF_ELEMENTS

    static final int UPDATE_ATTRIBUTE__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### UPDATE_ATTRIBUTE__IS_HIDDEN_BY

    static final int UPDATE_ATTRIBUTE__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### UPDATE_ATTRIBUTE__CONFLICTING

    static final int UPDATE_ATTRIBUTE__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### UPDATE_ATTRIBUTE__KIND

    static final int UPDATE_ATTRIBUTE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### UPDATE_ATTRIBUTE__REMOTE

    static final int UPDATE_ATTRIBUTE__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### UPDATE_ATTRIBUTE__ATTRIBUTE

    static final int UPDATE_ATTRIBUTE__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### UPDATE_ATTRIBUTE__LEFT_ELEMENT

    static final int UPDATE_ATTRIBUTE__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### UPDATE_ATTRIBUTE__RIGHT_ELEMENT

    static final int UPDATE_ATTRIBUTE__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### UPDATE_ATTRIBUTE_FEATURE_COUNT

    static final int UPDATE_ATTRIBUTE_FEATURE_COUNT

  The number of structural features of the 'Update Attribute' class.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE__SUB_DIFF_ELEMENTS

    static final int REFERENCE_CHANGE__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE__IS_HIDDEN_BY

    static final int REFERENCE_CHANGE__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE__CONFLICTING

    static final int REFERENCE_CHANGE__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE__KIND

    static final int REFERENCE_CHANGE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE__REMOTE

    static final int REFERENCE_CHANGE__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE__REFERENCE

    static final int REFERENCE_CHANGE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE__RIGHT_ELEMENT

    static final int REFERENCE_CHANGE__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE__LEFT_ELEMENT

    static final int REFERENCE_CHANGE__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_FEATURE_COUNT

    static final int REFERENCE_CHANGE_FEATURE_COUNT

  The number of structural features of the 'Reference Change' class.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS

    static final int REFERENCE_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_LEFT_TARGET__IS_HIDDEN_BY

    static final int REFERENCE_CHANGE_LEFT_TARGET__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_LEFT_TARGET__CONFLICTING

    static final int REFERENCE_CHANGE_LEFT_TARGET__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_LEFT_TARGET__KIND

    static final int REFERENCE_CHANGE_LEFT_TARGET__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_LEFT_TARGET__REMOTE

    static final int REFERENCE_CHANGE_LEFT_TARGET__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_LEFT_TARGET__REFERENCE

    static final int REFERENCE_CHANGE_LEFT_TARGET__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_LEFT_TARGET__RIGHT_ELEMENT

    static final int REFERENCE_CHANGE_LEFT_TARGET__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_LEFT_TARGET__LEFT_ELEMENT

    static final int REFERENCE_CHANGE_LEFT_TARGET__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_LEFT_TARGET__LEFT_TARGET

    static final int REFERENCE_CHANGE_LEFT_TARGET__LEFT_TARGET

  The feature id for the 'Left Target' reference.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_LEFT_TARGET__RIGHT_TARGET

    static final int REFERENCE_CHANGE_LEFT_TARGET__RIGHT_TARGET

  The feature id for the 'Right Target' reference.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_LEFT_TARGET_FEATURE_COUNT

    static final int REFERENCE_CHANGE_LEFT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Reference Change Left Target' class.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS

    static final int REFERENCE_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY

    static final int REFERENCE_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_RIGHT_TARGET__CONFLICTING

    static final int REFERENCE_CHANGE_RIGHT_TARGET__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_RIGHT_TARGET__KIND

    static final int REFERENCE_CHANGE_RIGHT_TARGET__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_RIGHT_TARGET__REMOTE

    static final int REFERENCE_CHANGE_RIGHT_TARGET__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_RIGHT_TARGET__REFERENCE

    static final int REFERENCE_CHANGE_RIGHT_TARGET__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT

    static final int REFERENCE_CHANGE_RIGHT_TARGET__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_RIGHT_TARGET__LEFT_ELEMENT

    static final int REFERENCE_CHANGE_RIGHT_TARGET__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_RIGHT_TARGET__RIGHT_TARGET

    static final int REFERENCE_CHANGE_RIGHT_TARGET__RIGHT_TARGET

  The feature id for the 'Right Target' reference.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_RIGHT_TARGET__LEFT_TARGET

    static final int REFERENCE_CHANGE_RIGHT_TARGET__LEFT_TARGET

  The feature id for the 'Left Target' reference.

  See Also:
    Constant Field Values

### REFERENCE_CHANGE_RIGHT_TARGET_FEATURE_COUNT

    static final int REFERENCE_CHANGE_RIGHT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Reference Change Right Target' class.

  See Also:
    Constant Field Values

### UPDATE_REFERENCE__SUB_DIFF_ELEMENTS

    static final int UPDATE_REFERENCE__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### UPDATE_REFERENCE__IS_HIDDEN_BY

    static final int UPDATE_REFERENCE__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### UPDATE_REFERENCE__CONFLICTING

    static final int UPDATE_REFERENCE__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### UPDATE_REFERENCE__KIND

    static final int UPDATE_REFERENCE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### UPDATE_REFERENCE__REMOTE

    static final int UPDATE_REFERENCE__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### UPDATE_REFERENCE__REFERENCE

    static final int UPDATE_REFERENCE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### UPDATE_REFERENCE__RIGHT_ELEMENT

    static final int UPDATE_REFERENCE__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### UPDATE_REFERENCE__LEFT_ELEMENT

    static final int UPDATE_REFERENCE__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### UPDATE_REFERENCE__LEFT_TARGET

    static final int UPDATE_REFERENCE__LEFT_TARGET

  The feature id for the 'Left Target' reference.

  See Also:
    Constant Field Values

### UPDATE_REFERENCE__RIGHT_TARGET

    static final int UPDATE_REFERENCE__RIGHT_TARGET

  The feature id for the 'Right Target' reference.

  See Also:
    Constant Field Values

### UPDATE_REFERENCE_FEATURE_COUNT

    static final int UPDATE_REFERENCE_FEATURE_COUNT

  The number of structural features of the 'Update Reference' class.

  See Also:
    Constant Field Values

### REFERENCE_ORDER_CHANGE

    static final int REFERENCE_ORDER_CHANGE

  The meta object id for the '`Reference Order Change`' class.

  See Also:
    `ReferenceOrderChangeImpl`, `DiffPackageImpl.getReferenceOrderChange()`, Constant Field Values

### REFERENCE_ORDER_CHANGE__SUB_DIFF_ELEMENTS

    static final int REFERENCE_ORDER_CHANGE__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### REFERENCE_ORDER_CHANGE__IS_HIDDEN_BY

    static final int REFERENCE_ORDER_CHANGE__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### REFERENCE_ORDER_CHANGE__CONFLICTING

    static final int REFERENCE_ORDER_CHANGE__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### REFERENCE_ORDER_CHANGE__KIND

    static final int REFERENCE_ORDER_CHANGE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### REFERENCE_ORDER_CHANGE__REMOTE

    static final int REFERENCE_ORDER_CHANGE__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### REFERENCE_ORDER_CHANGE__REFERENCE

    static final int REFERENCE_ORDER_CHANGE__REFERENCE

  The feature id for the 'Reference' reference.

  See Also:
    Constant Field Values

### REFERENCE_ORDER_CHANGE__RIGHT_ELEMENT

    static final int REFERENCE_ORDER_CHANGE__RIGHT_ELEMENT

  The feature id for the 'Right Element' reference.

  See Also:
    Constant Field Values

### REFERENCE_ORDER_CHANGE__LEFT_ELEMENT

    static final int REFERENCE_ORDER_CHANGE__LEFT_ELEMENT

  The feature id for the 'Left Element' reference.

  See Also:
    Constant Field Values

### REFERENCE_ORDER_CHANGE__LEFT_TARGET

    static final int REFERENCE_ORDER_CHANGE__LEFT_TARGET

  The feature id for the 'Left Target' reference list.

  See Also:
    Constant Field Values

### REFERENCE_ORDER_CHANGE__RIGHT_TARGET

    static final int REFERENCE_ORDER_CHANGE__RIGHT_TARGET

  The feature id for the 'Right Target' reference list.

  See Also:
    Constant Field Values

### REFERENCE_ORDER_CHANGE_FEATURE_COUNT

    static final int REFERENCE_ORDER_CHANGE_FEATURE_COUNT

  The number of structural features of the 'Reference Order Change' class.

  See Also:
    Constant Field Values

### ABSTRACT_DIFF_EXTENSION__HIDE_ELEMENTS

    static final int ABSTRACT_DIFF_EXTENSION__HIDE_ELEMENTS

  The feature id for the 'Hide Elements' reference list.

  See Also:
    Constant Field Values

### ABSTRACT_DIFF_EXTENSION__IS_COLLAPSED

    static final int ABSTRACT_DIFF_EXTENSION__IS_COLLAPSED

  The feature id for the 'Is Collapsed' attribute.

  See Also:
    Constant Field Values

### ABSTRACT_DIFF_EXTENSION_FEATURE_COUNT

    static final int ABSTRACT_DIFF_EXTENSION_FEATURE_COUNT

  The number of structural features of the 'Abstract Diff Extension' class.

  See Also:
    Constant Field Values

### RESOURCE_DIFF

    static final int RESOURCE_DIFF

  The meta object id for the '`Resource Diff`' class.

  See Also:
    `ResourceDiffImpl`, `DiffPackageImpl.getResourceDiff()`, Constant Field Values

### RESOURCE_DIFF__SUB_DIFF_ELEMENTS

    static final int RESOURCE_DIFF__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### RESOURCE_DIFF__IS_HIDDEN_BY

    static final int RESOURCE_DIFF__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### RESOURCE_DIFF__CONFLICTING

    static final int RESOURCE_DIFF__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### RESOURCE_DIFF__KIND

    static final int RESOURCE_DIFF__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### RESOURCE_DIFF__REMOTE

    static final int RESOURCE_DIFF__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### RESOURCE_DIFF_FEATURE_COUNT

    static final int RESOURCE_DIFF_FEATURE_COUNT

  The number of structural features of the 'Resource Diff' class.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE

    static final int RESOURCE_DEPENDENCY_CHANGE

  The meta object id for the '`Resource Dependency Change`' class.

  See Also:
    `ResourceDependencyChangeImpl`, `DiffPackageImpl.getResourceDependencyChange()`, Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE__SUB_DIFF_ELEMENTS

    static final int RESOURCE_DEPENDENCY_CHANGE__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE__IS_HIDDEN_BY

    static final int RESOURCE_DEPENDENCY_CHANGE__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE__CONFLICTING

    static final int RESOURCE_DEPENDENCY_CHANGE__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE__KIND

    static final int RESOURCE_DEPENDENCY_CHANGE__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE__REMOTE

    static final int RESOURCE_DEPENDENCY_CHANGE__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE__ROOTS

    static final int RESOURCE_DEPENDENCY_CHANGE__ROOTS

  The feature id for the 'Roots' reference list.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_FEATURE_COUNT

    static final int RESOURCE_DEPENDENCY_CHANGE_FEATURE_COUNT

  The number of structural features of the 'Resource Dependency Change' class.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET

    static final int RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET

  The meta object id for the '`Resource Dependency Change Left Target`' class.

  See Also:
    `ResourceDependencyChangeLeftTargetImpl`, `DiffPackageImpl.getResourceDependencyChangeLeftTarget()`, Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS

    static final int RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__IS_HIDDEN_BY

    static final int RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__CONFLICTING

    static final int RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__KIND

    static final int RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__REMOTE

    static final int RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__ROOTS

    static final int RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET__ROOTS

  The feature id for the 'Roots' reference list.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET_FEATURE_COUNT

    static final int RESOURCE_DEPENDENCY_CHANGE_LEFT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Resource Dependency Change Left Target' class.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET

    static final int RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET

  The meta object id for the '`Resource Dependency Change Right Target`' class.

  See Also:
    `ResourceDependencyChangeRightTargetImpl`, `DiffPackageImpl.getResourceDependencyChangeRightTarget()`, Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS

    static final int RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__SUB_DIFF_ELEMENTS

  The feature id for the 'Sub Diff Elements' containment reference list.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY

    static final int RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__IS_HIDDEN_BY

  The feature id for the 'Is Hidden By' reference list.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__CONFLICTING

    static final int RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__CONFLICTING

  The feature id for the 'Conflicting' attribute.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__KIND

    static final int RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__REMOTE

    static final int RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__REMOTE

  The feature id for the 'Remote' attribute.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__ROOTS

    static final int RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET__ROOTS

  The feature id for the 'Roots' reference list.

  See Also:
    Constant Field Values

### RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET_FEATURE_COUNT

    static final int RESOURCE_DEPENDENCY_CHANGE_RIGHT_TARGET_FEATURE_COUNT

  The number of structural features of the 'Resource Dependency Change Right Target' class.

  See Also:
    Constant Field Values

### DIFFERENCE_KIND

    static final int DIFFERENCE_KIND

  The meta object id for the '`Difference Kind`' enum.

  See Also:
    `DifferenceKind`, `DiffPackageImpl.getDifferenceKind()`, Constant Field Values

Method Detail

### getAbstractDiffExtension

    org.eclipse.emf.ecore.EClass getAbstractDiffExtension()

  Returns the meta object for class '`Abstract Diff Extension`'.

  Returns:
    the meta object for class 'Abstract Diff Extension'.
  See Also:
    `AbstractDiffExtension`

### getAbstractDiffExtension_HideElements

    org.eclipse.emf.ecore.EReference getAbstractDiffExtension_HideElements()

  Returns the meta object for the reference list '`Hide Elements`'.

  Returns:
    the meta object for the reference list 'Hide Elements'.
  See Also:
    `AbstractDiffExtension.getHideElements()`, `getAbstractDiffExtension()`

### getAbstractDiffExtension_IsCollapsed

    org.eclipse.emf.ecore.EAttribute getAbstractDiffExtension_IsCollapsed()

  Returns the meta object for the attribute '`Is Collapsed`'.

  Returns:
    the meta object for the attribute 'Is Collapsed'.
  See Also:
    `AbstractDiffExtension.isIsCollapsed()`, `getAbstractDiffExtension()`

### getResourceDiff

    org.eclipse.emf.ecore.EClass getResourceDiff()

  Returns the meta object for class '`Resource Diff`'.

  Returns:
    the meta object for class 'Resource Diff'.
  See Also:
    `ResourceDiff`

### getResourceDependencyChange

    org.eclipse.emf.ecore.EClass getResourceDependencyChange()

  Returns the meta object for class '`Resource Dependency Change`'.

  Returns:
    the meta object for class 'Resource Dependency Change'.
  See Also:
    `ResourceDependencyChange`

### getResourceDependencyChange_Roots

    org.eclipse.emf.ecore.EReference getResourceDependencyChange_Roots()

  Returns the meta object for the reference list '`Roots`'.

  Returns:
    the meta object for the reference list 'Roots'.
  See Also:
    `ResourceDependencyChange.getRoots()`, `getResourceDependencyChange()`

### getResourceDependencyChangeLeftTarget

    org.eclipse.emf.ecore.EClass getResourceDependencyChangeLeftTarget()

  Returns the meta object for class '`Resource Dependency Change Left Target`'.

  Returns:
    the meta object for class 'Resource Dependency Change Left Target'.
  See Also:
    `ResourceDependencyChangeLeftTarget`

### getResourceDependencyChangeRightTarget

    org.eclipse.emf.ecore.EClass getResourceDependencyChangeRightTarget()

  Returns the meta object for class '`Resource Dependency Change Right Target`'.

  Returns:
    the meta object for class 'Resource Dependency Change Right Target'.
  See Also:
    `ResourceDependencyChangeRightTarget`

### getDifferenceKind

    org.eclipse.emf.ecore.EEnum getDifferenceKind()

  Returns the meta object for enum '`Difference Kind`'.

  Returns:
    the meta object for enum 'Difference Kind'.
  See Also:
    `DifferenceKind`

### getAttributeChange

    org.eclipse.emf.ecore.EClass getAttributeChange()

  Returns the meta object for class '`Attribute Change`'.

  Returns:
    the meta object for class 'Attribute Change'.
  See Also:
    `AttributeChange`

### getAttributeChange_Attribute

    org.eclipse.emf.ecore.EReference getAttributeChange_Attribute()

  Returns the meta object for the reference '`Attribute`'.

  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `AttributeChange.getAttribute()`, `getAttributeChange()`

### getAttributeChange_LeftElement

    org.eclipse.emf.ecore.EReference getAttributeChange_LeftElement()

  Returns the meta object for the reference '`Left Element`'.

  Returns:
    the meta object for the reference 'Left Element'.
  See Also:
    `AttributeChange.getLeftElement()`, `getAttributeChange()`

### getAttributeChange_RightElement

    org.eclipse.emf.ecore.EReference getAttributeChange_RightElement()

  Returns the meta object for the reference '`Right Element`'.

  Returns:
    the meta object for the reference 'Right Element'.
  See Also:
    `AttributeChange.getRightElement()`, `getAttributeChange()`

### getAttributeChangeLeftTarget

    org.eclipse.emf.ecore.EClass getAttributeChangeLeftTarget()

  Returns the meta object for class '`Attribute Change Left Target`'.

  Returns:
    the meta object for class 'Attribute Change Left Target'.
  See Also:
    `AttributeChangeLeftTarget`

### getAttributeChangeLeftTarget_LeftTarget

    org.eclipse.emf.ecore.EAttribute getAttributeChangeLeftTarget_LeftTarget()

  Returns the meta object for the attribute '`Left Target`'.

  Returns:
    the meta object for the attribute 'Left Target'.
  See Also:
    `AttributeChangeLeftTarget.getLeftTarget()`, `getAttributeChangeLeftTarget()`

### getAttributeChangeRightTarget

    org.eclipse.emf.ecore.EClass getAttributeChangeRightTarget()

  Returns the meta object for class '`Attribute Change Right Target`'.

  Returns:
    the meta object for class 'Attribute Change Right Target'.
  See Also:
    `AttributeChangeRightTarget`

### getAttributeChangeRightTarget_RightTarget

    org.eclipse.emf.ecore.EAttribute getAttributeChangeRightTarget_RightTarget()

  Returns the meta object for the attribute '`Right Target`'.

  Returns:
    the meta object for the attribute 'Right Target'.
  See Also:
    `AttributeChangeRightTarget.getRightTarget()`, `getAttributeChangeRightTarget()`

### getConflictingDiffElement

    org.eclipse.emf.ecore.EClass getConflictingDiffElement()

  Returns the meta object for class '`Conflicting Diff Element`'.

  Returns:
    the meta object for class 'Conflicting Diff Element'.
  See Also:
    `ConflictingDiffElement`

### getConflictingDiffElement_LeftParent

    org.eclipse.emf.ecore.EReference getConflictingDiffElement_LeftParent()

  Returns the meta object for the reference '`Left Parent`'.

  Returns:
    the meta object for the reference 'Left Parent'.
  See Also:
    `ConflictingDiffElement.getLeftParent()`, `getConflictingDiffElement()`

### getConflictingDiffElement_OriginElement

    org.eclipse.emf.ecore.EReference getConflictingDiffElement_OriginElement()

  Returns the meta object for the reference '`Origin Element`'.

  Returns:
    the meta object for the reference 'Origin Element'.
  See Also:
    `ConflictingDiffElement.getOriginElement()`, `getConflictingDiffElement()`

### getConflictingDiffElement_RightParent

    org.eclipse.emf.ecore.EReference getConflictingDiffElement_RightParent()

  Returns the meta object for the reference '`Right Parent`'.

  Returns:
    the meta object for the reference 'Right Parent'.
  See Also:
    `ConflictingDiffElement.getRightParent()`, `getConflictingDiffElement()`

### getDiffElement

    org.eclipse.emf.ecore.EClass getDiffElement()

  Returns the meta object for class '`Element`'.

  Returns:
    the meta object for class 'Element'.
  See Also:
    `DiffElement`

### getDiffElement_IsHiddenBy

    org.eclipse.emf.ecore.EReference getDiffElement_IsHiddenBy()

  Returns the meta object for the reference list '`Is Hidden By`'.

  Returns:
    the meta object for the reference list 'Is Hidden By'.
  See Also:
    `DiffElement.getIsHiddenBy()`, `getDiffElement()`

### getDiffElement_Conflicting

    org.eclipse.emf.ecore.EAttribute getDiffElement_Conflicting()

  Returns the meta object for the attribute '`Conflicting`'.

  Returns:
    the meta object for the attribute 'Conflicting'.
  See Also:
    `DiffElement.isConflicting()`, `getDiffElement()`

### getDiffElement_Kind

    org.eclipse.emf.ecore.EAttribute getDiffElement_Kind()

  Returns the meta object for the attribute '`Kind`'.

  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `DiffElement.getKind()`, `getDiffElement()`

### getDiffElement_Remote

    org.eclipse.emf.ecore.EAttribute getDiffElement_Remote()

  Returns the meta object for the attribute '`Remote`'.

  Returns:
    the meta object for the attribute 'Remote'.
  See Also:
    `DiffElement.isRemote()`, `getDiffElement()`

### getDiffElement_SubDiffElements

    org.eclipse.emf.ecore.EReference getDiffElement_SubDiffElements()

  Returns the meta object for the containment reference list '`Sub Diff Elements`'.

  Returns:
    the meta object for the containment reference list 'Sub Diff Elements'.
  See Also:
    `DiffElement.getSubDiffElements()`, `getDiffElement()`

### getDiffFactory

    DiffFactory getDiffFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

### getDiffGroup

    org.eclipse.emf.ecore.EClass getDiffGroup()

  Returns the meta object for class '`Group`'.

  Returns:
    the meta object for class 'Group'.
  See Also:
    `DiffGroup`

### getDiffGroup_RightParent

    org.eclipse.emf.ecore.EReference getDiffGroup_RightParent()

  Returns the meta object for the reference '`Right Parent`'.

  Returns:
    the meta object for the reference 'Right Parent'.
  See Also:
    `DiffGroup.getRightParent()`, `getDiffGroup()`

### getDiffGroup_Subchanges

    org.eclipse.emf.ecore.EAttribute getDiffGroup_Subchanges()

  Returns the meta object for the attribute '`Subchanges`'.

  Returns:
    the meta object for the attribute 'Subchanges'.
  See Also:
    `DiffGroup.getSubchanges()`, `getDiffGroup()`

### getComparisonSnapshot

    org.eclipse.emf.ecore.EClass getComparisonSnapshot()

  Returns the meta object for class '`Comparison Snapshot`'.

  Returns:
    the meta object for class 'Comparison Snapshot'.
  See Also:
    `ComparisonSnapshot`

### getComparisonSnapshot_Date

    org.eclipse.emf.ecore.EAttribute getComparisonSnapshot_Date()

  Returns the meta object for the attribute '`Date`'.

  Returns:
    the meta object for the attribute 'Date'.
  See Also:
    `ComparisonSnapshot.getDate()`, `getComparisonSnapshot()`

### getComparisonResourceSnapshot

    org.eclipse.emf.ecore.EClass getComparisonResourceSnapshot()

  Returns the meta object for class '`Comparison Resource Snapshot`'.

  Returns:
    the meta object for class 'Comparison Resource Snapshot'.
  See Also:
    `ComparisonResourceSnapshot`

### getComparisonResourceSnapshot_Diff

    org.eclipse.emf.ecore.EReference getComparisonResourceSnapshot_Diff()

  Returns the meta object for the containment reference '`Diff`'.

  Returns:
    the meta object for the containment reference 'Diff'.
  See Also:
    `ComparisonResourceSnapshot.getDiff()`, `getComparisonResourceSnapshot()`

### getComparisonResourceSnapshot_Match

    org.eclipse.emf.ecore.EReference getComparisonResourceSnapshot_Match()

  Returns the meta object for the containment reference '`Match`'.

  Returns:
    the meta object for the containment reference 'Match'.
  See Also:
    `ComparisonResourceSnapshot.getMatch()`, `getComparisonResourceSnapshot()`

### getComparisonResourceSetSnapshot

    org.eclipse.emf.ecore.EClass getComparisonResourceSetSnapshot()

  Returns the meta object for class '`Comparison Resource Set Snapshot`'.

  Returns:
    the meta object for class 'Comparison Resource Set Snapshot'.
  See Also:
    `ComparisonResourceSetSnapshot`

### getComparisonResourceSetSnapshot_DiffResourceSet

    org.eclipse.emf.ecore.EReference getComparisonResourceSetSnapshot_DiffResourceSet()

  Returns the meta object for the containment reference '`Diff Resource Set`'.

  Returns:
    the meta object for the containment reference 'Diff Resource Set'.
  See Also:
    `ComparisonResourceSetSnapshot.getDiffResourceSet()`, `getComparisonResourceSetSnapshot()`

### getComparisonResourceSetSnapshot_MatchResourceSet

    org.eclipse.emf.ecore.EReference getComparisonResourceSetSnapshot_MatchResourceSet()

  Returns the meta object for the containment reference '`Match Resource Set`'.

  Returns:
    the meta object for the containment reference 'Match Resource Set'.
  See Also:
    `ComparisonResourceSetSnapshot.getMatchResourceSet()`, `getComparisonResourceSetSnapshot()`

### getDiffModel

    org.eclipse.emf.ecore.EClass getDiffModel()

  Returns the meta object for class '`Model`'.

  Returns:
    the meta object for class 'Model'.
  See Also:
    `DiffModel`

### getDiffModel_OwnedElements

    org.eclipse.emf.ecore.EReference getDiffModel_OwnedElements()

  Returns the meta object for the containment reference list '`Owned Elements`'.

  Returns:
    the meta object for the containment reference list 'Owned Elements'.
  See Also:
    `DiffModel.getOwnedElements()`, `getDiffModel()`

### getDiffModel_LeftRoots

    org.eclipse.emf.ecore.EReference getDiffModel_LeftRoots()

  Returns the meta object for the reference list '`Left Roots`'.

  Returns:
    the meta object for the reference list 'Left Roots'.
  See Also:
    `DiffModel.getLeftRoots()`, `getDiffModel()`

### getDiffModel_RightRoots

    org.eclipse.emf.ecore.EReference getDiffModel_RightRoots()

  Returns the meta object for the reference list '`Right Roots`'.

  Returns:
    the meta object for the reference list 'Right Roots'.
  See Also:
    `DiffModel.getRightRoots()`, `getDiffModel()`

### getDiffModel_AncestorRoots

    org.eclipse.emf.ecore.EReference getDiffModel_AncestorRoots()

  Returns the meta object for the reference list '`Ancestor Roots`'.

  Returns:
    the meta object for the reference list 'Ancestor Roots'.
  See Also:
    `DiffModel.getAncestorRoots()`, `getDiffModel()`

### getDiffResourceSet

    org.eclipse.emf.ecore.EClass getDiffResourceSet()

  Returns the meta object for class '`Resource Set`'.

  Returns:
    the meta object for class 'Resource Set'.
  See Also:
    `DiffResourceSet`

### getDiffResourceSet_DiffModels

    org.eclipse.emf.ecore.EReference getDiffResourceSet_DiffModels()

  Returns the meta object for the containment reference list '`Diff Models`'.

  Returns:
    the meta object for the containment reference list 'Diff Models'.
  See Also:
    `DiffResourceSet.getDiffModels()`, `getDiffResourceSet()`

### getDiffResourceSet_ResourceDiffs

    org.eclipse.emf.ecore.EReference getDiffResourceSet_ResourceDiffs()

  Returns the meta object for the containment reference list '`Resource Diffs`'.

  Returns:
    the meta object for the containment reference list 'Resource Diffs'.
  See Also:
    `DiffResourceSet.getResourceDiffs()`, `getDiffResourceSet()`

### getIMerger

    org.eclipse.emf.ecore.EDataType getIMerger()

  Returns the meta object for data type '`IMerger`'.

  Returns:
    the meta object for data type 'IMerger'.
  See Also:
    `IMerger`

### getModelElementChange

    org.eclipse.emf.ecore.EClass getModelElementChange()

  Returns the meta object for class '`Model Element Change`'.

  Returns:
    the meta object for class 'Model Element Change'.
  See Also:
    `ModelElementChange`

### getModelElementChangeLeftTarget

    org.eclipse.emf.ecore.EClass getModelElementChangeLeftTarget()

  Returns the meta object for class '`Model Element Change Left Target`'.

  Returns:
    the meta object for class 'Model Element Change Left Target'.
  See Also:
    `ModelElementChangeLeftTarget`

### getModelElementChangeLeftTarget_LeftElement

    org.eclipse.emf.ecore.EReference getModelElementChangeLeftTarget_LeftElement()

  Returns the meta object for the reference '`Left Element`'.

  Returns:
    the meta object for the reference 'Left Element'.
  See Also:
    `ModelElementChangeLeftTarget.getLeftElement()`, `getModelElementChangeLeftTarget()`

### getModelElementChangeLeftTarget_RightParent

    org.eclipse.emf.ecore.EReference getModelElementChangeLeftTarget_RightParent()

  Returns the meta object for the reference '`Right Parent`'.

  Returns:
    the meta object for the reference 'Right Parent'.
  See Also:
    `ModelElementChangeLeftTarget.getRightParent()`, `getModelElementChangeLeftTarget()`

### getModelElementChangeRightTarget

    org.eclipse.emf.ecore.EClass getModelElementChangeRightTarget()

  Returns the meta object for class '`Model Element Change Right Target`'.

  Returns:
    the meta object for class 'Model Element Change Right Target'.
  See Also:
    `ModelElementChangeRightTarget`

### getModelElementChangeRightTarget_LeftParent

    org.eclipse.emf.ecore.EReference getModelElementChangeRightTarget_LeftParent()

  Returns the meta object for the reference '`Left Parent`'.

  Returns:
    the meta object for the reference 'Left Parent'.
  See Also:
    `ModelElementChangeRightTarget.getLeftParent()`, `getModelElementChangeRightTarget()`

### getModelElementChangeRightTarget_RightElement

    org.eclipse.emf.ecore.EReference getModelElementChangeRightTarget_RightElement()

  Returns the meta object for the reference '`Right Element`'.

  Returns:
    the meta object for the reference 'Right Element'.
  See Also:
    `ModelElementChangeRightTarget.getRightElement()`, `getModelElementChangeRightTarget()`

### getMoveModelElement

    org.eclipse.emf.ecore.EClass getMoveModelElement()

  Returns the meta object for class '`Move Model Element`'.

  Returns:
    the meta object for class 'Move Model Element'.
  See Also:
    `MoveModelElement`

### getMoveModelElement_LeftTarget

    org.eclipse.emf.ecore.EReference getMoveModelElement_LeftTarget()

  Returns the meta object for the reference '`Left Target`'.

  Returns:
    the meta object for the reference 'Left Target'.
  See Also:
    `MoveModelElement.getLeftTarget()`, `getMoveModelElement()`

### getMoveModelElement_RightTarget

    org.eclipse.emf.ecore.EReference getMoveModelElement_RightTarget()

  Returns the meta object for the reference '`Right Target`'.

  Returns:
    the meta object for the reference 'Right Target'.
  See Also:
    `MoveModelElement.getRightTarget()`, `getMoveModelElement()`

### getUpdateContainmentFeature

    org.eclipse.emf.ecore.EClass getUpdateContainmentFeature()

  Returns the meta object for class '`Update Containment Feature`'.

  Returns:
    the meta object for class 'Update Containment Feature'.
  See Also:
    `UpdateContainmentFeature`

### getReferenceChange

    org.eclipse.emf.ecore.EClass getReferenceChange()

  Returns the meta object for class '`Reference Change`'.

  Returns:
    the meta object for class 'Reference Change'.
  See Also:
    `ReferenceChange`

### getReferenceChange_LeftElement

    org.eclipse.emf.ecore.EReference getReferenceChange_LeftElement()

  Returns the meta object for the reference '`Left Element`'.

  Returns:
    the meta object for the reference 'Left Element'.
  See Also:
    `ReferenceChange.getLeftElement()`, `getReferenceChange()`

### getReferenceChange_Reference

    org.eclipse.emf.ecore.EReference getReferenceChange_Reference()

  Returns the meta object for the reference '`Reference`'.

  Returns:
    the meta object for the reference 'Reference'.
  See Also:
    `ReferenceChange.getReference()`, `getReferenceChange()`

### getReferenceChange_RightElement

    org.eclipse.emf.ecore.EReference getReferenceChange_RightElement()

  Returns the meta object for the reference '`Right Element`'.

  Returns:
    the meta object for the reference 'Right Element'.
  See Also:
    `ReferenceChange.getRightElement()`, `getReferenceChange()`

### getReferenceChangeLeftTarget

    org.eclipse.emf.ecore.EClass getReferenceChangeLeftTarget()

  Returns the meta object for class '`Reference Change Left Target`'.

  Returns:
    the meta object for class 'Reference Change Left Target'.
  See Also:
    `ReferenceChangeLeftTarget`

### getReferenceChangeLeftTarget_LeftTarget

    org.eclipse.emf.ecore.EReference getReferenceChangeLeftTarget_LeftTarget()

  Returns the meta object for the reference '`Left Target`'.

  Returns:
    the meta object for the reference 'Left Target'.
  See Also:
    `ReferenceChangeLeftTarget.getLeftTarget()`, `getReferenceChangeLeftTarget()`

### getReferenceChangeLeftTarget_RightTarget

    org.eclipse.emf.ecore.EReference getReferenceChangeLeftTarget_RightTarget()

  Returns the meta object for the reference '`Right Target`'.

  Returns:
    the meta object for the reference 'Right Target'.
  See Also:
    `ReferenceChangeLeftTarget.getRightTarget()`, `getReferenceChangeLeftTarget()`

### getReferenceChangeRightTarget

    org.eclipse.emf.ecore.EClass getReferenceChangeRightTarget()

  Returns the meta object for class '`Reference Change Right Target`'.

  Returns:
    the meta object for class 'Reference Change Right Target'.
  See Also:
    `ReferenceChangeRightTarget`

### getReferenceChangeRightTarget_RightTarget

    org.eclipse.emf.ecore.EReference getReferenceChangeRightTarget_RightTarget()

  Returns the meta object for the reference '`Right Target`'.

  Returns:
    the meta object for the reference 'Right Target'.
  See Also:
    `ReferenceChangeRightTarget.getRightTarget()`, `getReferenceChangeRightTarget()`

### getReferenceChangeRightTarget_LeftTarget

    org.eclipse.emf.ecore.EReference getReferenceChangeRightTarget_LeftTarget()

  Returns the meta object for the reference '`Left Target`'.

  Returns:
    the meta object for the reference 'Left Target'.
  See Also:
    `ReferenceChangeRightTarget.getLeftTarget()`, `getReferenceChangeRightTarget()`

### getUpdateAttribute

    org.eclipse.emf.ecore.EClass getUpdateAttribute()

  Returns the meta object for class '`Update Attribute`'.

  Returns:
    the meta object for class 'Update Attribute'.
  See Also:
    `UpdateAttribute`

### getUpdateModelElement

    org.eclipse.emf.ecore.EClass getUpdateModelElement()

  Returns the meta object for class '`Update Model Element`'.

  Returns:
    the meta object for class 'Update Model Element'.
  See Also:
    `UpdateModelElement`

### getUpdateModelElement_LeftElement

    org.eclipse.emf.ecore.EReference getUpdateModelElement_LeftElement()

  Returns the meta object for the reference '`Left Element`'.

  Returns:
    the meta object for the reference 'Left Element'.
  See Also:
    `UpdateModelElement.getLeftElement()`, `getUpdateModelElement()`

### getUpdateModelElement_RightElement

    org.eclipse.emf.ecore.EReference getUpdateModelElement_RightElement()

  Returns the meta object for the reference '`Right Element`'.

  Returns:
    the meta object for the reference 'Right Element'.
  See Also:
    `UpdateModelElement.getRightElement()`, `getUpdateModelElement()`

### getUpdateReference

    org.eclipse.emf.ecore.EClass getUpdateReference()

  Returns the meta object for class '`Update Reference`'.

  Returns:
    the meta object for class 'Update Reference'.
  See Also:
    `UpdateReference`

### getUpdateReference_LeftTarget

    org.eclipse.emf.ecore.EReference getUpdateReference_LeftTarget()

  Returns the meta object for the reference '`Left Target`'.

  Returns:
    the meta object for the reference 'Left Target'.
  See Also:
    `UpdateReference.getLeftTarget()`, `getUpdateReference()`

### getUpdateReference_RightTarget

    org.eclipse.emf.ecore.EReference getUpdateReference_RightTarget()

  Returns the meta object for the reference '`Right Target`'.

  Returns:
    the meta object for the reference 'Right Target'.
  See Also:
    `UpdateReference.getRightTarget()`, `getUpdateReference()`

### getReferenceOrderChange

    org.eclipse.emf.ecore.EClass getReferenceOrderChange()

  Returns the meta object for class '`Reference Order Change`'.

  Returns:
    the meta object for class 'Reference Order Change'.
  See Also:
    `ReferenceOrderChange`

### getReferenceOrderChange_LeftTarget

    org.eclipse.emf.ecore.EReference getReferenceOrderChange_LeftTarget()

  Returns the meta object for the reference list '`Left Target`'.

  Returns:
    the meta object for the reference list 'Left Target'.
  See Also:
    `ReferenceOrderChange.getLeftTarget()`, `getReferenceOrderChange()`

### getReferenceOrderChange_RightTarget

    org.eclipse.emf.ecore.EReference getReferenceOrderChange_RightTarget()

  Returns the meta object for the reference list '`Right Target`'.

  Returns:
    the meta object for the reference list 'Right Target'.
  See Also:
    `ReferenceOrderChange.getRightTarget()`, `getReferenceOrderChange()`

Copyright 2006 IBM Corporation and others. All Rights Reserved.